image: rust:latest

pages:
  stage: deploy
  only:
    - master
  script:
    - cargo doc --no-deps --document-private-items
    - cargo install mdbook
    - mdbook build guide/
    - rm -rf public
    - mkdir public
    - cp -R pages public/
    - cp -R target/doc public/doc
    - cp -R guide/book public/book
  artifacts:
    paths:
    - public
  tags: ["ci.inria.fr", "linux", "small"]
